com.r3corda.client.model / PartiallyResolvedTransaction

# PartiallyResolvedTransaction

`data class PartiallyResolvedTransaction`

PartiallyResolvedTransaction holds a SignedTransaction that has zero or more inputs resolved. The intent is to prepare clients for cases where an input can only be resolved in the future/cannot be resolved at all (for example because of permissioning)

### Types

InputResolution | `sealed class InputResolution`

### Constructors

<init> | `PartiallyResolvedTransaction(transaction: SignedTransaction, inputs: List<ObservableValue<InputResolution>>)` PartiallyResolvedTransaction holds a SignedTransaction that has zero or more inputs resolved. The intent is to prepare clients for cases where an input can only be resolved in the future/cannot be resolved at all (for example because of permissioning)

### Properties

id | `val id: SecureHash`
inputs | `val inputs: List<ObservableValue<InputResolution>>`
transaction | `val transaction: SignedTransaction`

### Companion Object Functions

fromSignedTransaction | `fun fromSignedTransaction(transaction: SignedTransaction, transactions: ObservableMap<SecureHash, SignedTransaction>): PartiallyResolvedTransaction`